Bug 45028 - label of connector, ordinary lines and arrow gets written through line
Summary: label of connector, ordinary lines and arrow gets written through line
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: topicUI
: 50961 91681 (view as bug list)
Depends on:
Blocks: Connectors
  Show dependency treegraph
 
Reported: 2012-01-21 04:27 UTC by hdv.jadev
Modified: 2019-11-08 09:09 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
Horizontal connector with label (32.50 KB, application/vnd.visio)
2012-01-25 13:50 UTC, hdv.jadev
Details
Libre Office Draw document showing connectors and lines with text (12.38 KB, application/vnd.oasis.opendocument.graphics)
2014-09-03 22:06 UTC, Karl Behler
Details

Note You need to log in before you can comment on or make changes to this bug.
Description hdv.jadev 2012-01-21 04:27:13 UTC
When importing a Visio file that uses connectors, the labels corresponding with a connector get written over the line of the connector, creating a strikethrough effect. This makes reading the label harder. Also, the label is not really a property of the connector itself, but implemented as a separate text field. This makes it hard to keep things together when moving connectors around. It would be appreciated if this could be improved in a later version.
Comment 1 tester8 2012-01-25 09:12:17 UTC
Can you please upload example file for test?
Comment 2 hdv.jadev 2012-01-25 13:50:27 UTC
Created attachment 56162 [details]
Horizontal connector with label
Comment 3 hdv.jadev 2012-01-25 13:53:14 UTC
Comment on attachment 56162 [details]
Horizontal connector with label

Sorry, I cannot send you the file I used when I found this. I am not allowed to. Instead I made a simple example in Visio [1], but can't currently test if it shows the stated behavior. The machine with 3.5RC1 is in another city. As soon as I get there I'll fire it up to verify this test file does show the bug.

[1] In Visio 2003 open a new flowchart drawing, add 2 shapes and connect them with a "dynamic connector". Select the connector and press F2. Edit the label. Open this in LO3.5RC1 and you should see what I saw.
Comment 4 tester8 2012-01-26 12:44:04 UTC
>Sorry, I cannot send you the file I used when I found this. I am not allowed
>to. Instead I made a simple example in Visio [1]

If bug can be reproduced on a more simple file then more simple is better.

Reproduced with

LOdev 3.5.0rc1
e40af8c-10029e3-615e522-88673a2-727f724
Ubuntu 10.04.3 x86
Linux 2.6.32-37-generic Russian UI
Comment 5 Julien Nabet 2013-08-24 05:57:00 UTC
On pc Debian x86-64 with master sources updated yesterday, I reproduced the problem.

Fridrich: one for you?
Comment 6 Karl Behler 2014-09-03 22:06:26 UTC
Created attachment 105708 [details]
Libre Office Draw document showing connectors and lines with text
Comment 7 Karl Behler 2014-09-03 22:08:40 UTC
I would like to refresh the attention to this bug.
Bug 45028 seems to be related to this one.
All together it's looking like a principle insufficiency of the features available for placing and handling text on connectors. Please improve.

See attached example file for text on connectors, lines and test boxes overlayed to lines. It's impossible to place a text with white background just along and over a connector line.

The functional incompatibility betweeen LibreOffice and Visio still seems to be a serious issue in terms that it prohibits at least some people to move their VISIO documentation to LibreOffice.

If any improvement has been made since 3.5.0 RC1 it does not seem sufficient up to today (4.1.3.2).

The original text of the message of our colleagues:
(In German, but I'm willing to translate this if someone want's to work on this issue.) 

Liebe KollegInnen,

wir versuchen gerade eine größere Netzwerkzeichnung von
Visio nach LibreOffice (Draw) zu übertragen, um langfristig
den ganzen MS-Lizenzkram von uns zu schaffen.

Dabei habe ich nun aber ein simples Problem. Wenn man in
Visio zwei Objekte (siehe Anhang) miteinander verbindet,
dann läßt sich auf dem entsprechenden Konnektor ein Text
eintragen. Dieser Text wird automatisch in ein Rechteck
eingetragen, welches sich beliebig einfaerben laesst und
vor allem standardmaessig (Hintergrund) weiss ist und sich
so von der Konnektorlinie abhebt. Ferner kann man das Text-
feld auch noch frei positionieren.

Versucht man das mit LibreOfficeDraw (Version 4.1.3.2 portable),
dann ist per Default die Beschriftung abseits der Konnektor-
linie (s. Anhang). Mit einiger Mühe positioniert man den Text
(wenn man denn das nicht sichtbare Textfeld erwischt) an die
Stelle über der Linie und wenn man dann immer noch das Text-
feld angeklickt hat, kann man via rechter Maustaste auch eine
Flächenfüllung in bspw. Weiss angeben. Verschiebt man nun aber
ein Ende des Konnektors, dann zieht das Textfeld nicht mit.
Versucht man es mit einer Gruppierung, dann verliert der
Konnektor seine Funktion und es entsteht eine Art Rechteck
(s. Anhang).

Kann mir jemand verraten, wie man die gleiche Funktion eines
Konnektors wie unter Visio erhält?

Für Netzwerk-Zeichnungen sind die Konnektoren essentiell. Sollte
da aber scheitern, muessten wir bei Visio (tolles Tool, keine
Frage) bleiben.
Comment 8 Karl Behler 2014-09-03 22:10:16 UTC
(In reply to comment #7)
> Bug 45028 seems to be related to this one.
I meant Bug 43071.
Comment 9 Josh Pettus 2015-06-09 12:02:58 UTC
*** Bug 91681 has been marked as a duplicate of this bug. ***
Comment 10 Josh Pettus 2015-06-09 23:07:30 UTC
I don't know if it matters much, but this issue has actually been the case since open office .org
Comment 11 Heiko Tietze 2016-04-29 11:51:59 UTC
Good solution for this bug as well as #75301 would be to have all text styles feature for the connector's caption including background with transparency.
Comment 12 Heiko Tietze 2016-05-04 08:10:16 UTC
*** Bug 50961 has been marked as a duplicate of this bug. ***
Comment 13 Heiko Tietze 2016-05-04 08:14:49 UTC
(In reply to Heiko Tietze from comment #11)
> Good solution for this bug as well as #75301 would be to have all text
> styles feature for the connector's caption including background with
> transparency.

Of course it is possible to set the character highlight color right now. Have white as default instead of "no fill" would be good for lines and connectors -> EASYHACK.

Transparency is just a nice to have for long over-long captions.
Comment 14 jani 2016-05-04 14:18:39 UTC
Sounds like an easyHack, but it misses:
- codepointers (mandatory for easyHack)
- set the keyword skill<foo> and difficulty<foo>
- Optionally also set topic<foo>

Marking it as "NEEDING" for now.
Comment 15 Hans Deragon 2016-05-06 17:26:00 UTC
Am curious about how The Document Foundation produced that graphic without a hint of this bug.

https://commons.wikimedia.org/wiki/File:TDF_Orga.png
Comment 16 Hans Deragon 2016-05-09 13:25:10 UTC
This feature should be marked as "high".  Creating readable, uncluttered diagrams with connectors quickly is a must.  I would like to introduce LibreOffice Draw to colleagues, moving them away from Microsoft Visio, but my self am obliged to use Microsoft Visio because of this bug.  Sure, I can play around LO to get things right, adding text boxes instead of using connectors labels, etc...+ but that takes time and that is all the point.  The tool should be easy and make it possible to create great diagrams fast.  Productivity is a must.

Who can help us move this issue beyond "NEEDINFO"?
Comment 17 Julien Nabet 2016-05-09 13:34:32 UTC
Fridrich: though you might be interested in this tracker since it concerns Visio.
Comment 18 Heiko Tietze 2016-05-09 14:31:01 UTC
(In reply to Hans Deragon from comment #15)
> Am curious about how The Document Foundation produced that graphic without a
> hint of this bug.

Enter text to the connectors, go to sidebar properties > character or via context menu > character... and set highlighting to white.

EASYHACK (with NEEDINFO for the code pointers) because it's just the default that would be changed. However, the issue might be more complicated when the character highlighting of connector/line text is shared with all other type of objects.
Comment 19 Hans Deragon 2016-05-09 14:59:44 UTC
Oh... Great, the feature is implemented.  But here is why I was not able to find how to do this (new to LibreOffice Draw here, though familiar with the other LO tools).

If one right clicks on the connector's label, the right-click menu appears.  From there, I tried both 'Text' and 'Character', but under their respective dialog, there is no means to select the highlight colors.  I was not aware that this feature is available in the sidebar.

Would be nice that all features found in the sidebar are repeated in the dialogs.  

I am happy to learn that it is possible to change the background.  But I agree that it should be the default.  I must not be the first user scratching his head about this.

I say that fix it first quickly by setting the highlight to the same color as the one of the page.  Then create a new issue to address about the highlight shared by more than one object.  At least, new users will have a better feeling about the Draw first time they use it.
Comment 20 David Tardon 2016-05-10 05:35:24 UTC
(In reply to Julien Nabet from comment #17)
> Fridrich: though you might be interested in this tracker since it concerns
> Visio.

This ceased to have anything to do with Visio _import_ in comment 6 (that sample could never have been produced by libvisio, since it imports connectors as plain lines).
Comment 21 Fridrich Strba 2016-05-10 10:50:09 UTC
Julien, I removed myself from this list explicitly. Please refrain with adding me anew.
Comment 22 Heiko Tietze 2016-06-01 07:48:31 UTC
Please take care as well of connectors and have the same default background there too (cf. tdf#50961).

NEEDINFO removed since it didn't help to get the code pointer ;-)
Comment 23 Heiko Tietze 2016-06-01 07:49:25 UTC
(In reply to Heiko Tietze from comment #22)
> Please take care as well ...

of ordinary lines 

> and have the same default background there too (cf. tdf#50961).

Stupid me!
Comment 24 Valerio Messina 2016-06-01 09:17:03 UTC
yes thanks as requested in closed
https://bugs.documentfoundation.org/show_bug.cgi?id=50961
related to normal lines/arrow
Comment 25 Heiko Tietze 2016-06-28 15:12:56 UTC
NEEDINFO for the code pointers.
Comment 26 Valerio Messina 2016-06-29 09:26:17 UTC
changing the title adding "ordinary lines and arrow" will help keep track of all issue. Something like:
"label of connector, ordinary lines and arrow gets written through line"
Comment 27 jani 2016-09-15 15:24:29 UTC
The exact code pointer still missing, it seems to be something that needs changing over several files.
Comment 28 Xisco Faulí 2016-09-15 15:26:54 UTC
Removing keyword 'needsDevEval' as this bug is an easyHack
Comment 29 Xisco Faulí 2016-09-27 10:36:07 UTC Comment hidden (obsolete)
Comment 30 jani 2016-10-25 13:13:13 UTC
This seems to be a very complicated matter, something that requires experience with out import functionality
Comment 31 Hans Deragon 2016-10-31 13:42:42 UTC
This problem occurs with a fresh, newly created document.  It is not related with importing a document.  This is what makes this bug so sad... You draw a simple diagram with two objects and one connector, add text to the connector and voilà; this bug shows up.  Marketing wise, it kills selling LibreOffice.  This should be fixed, fast.

I reproduced the problem on Mac OSX, LibreOffice 5.2.2.2.
Comment 32 QA Administrators 2017-11-01 22:12:27 UTC Comment hidden (obsolete)
Comment 33 Reuben 2017-11-06 06:41:54 UTC
Version: 5.4.1.2.0+
Build ID: 1:5.4.1-1
CPU threads: 2; OS: Linux 4.12; UI render: default; VCL: x11; 
Locale: en-AU (en_AU.UTF-8); Calc: group
Comment 34 QA Administrators 2018-11-07 04:02:48 UTC Comment hidden (obsolete)
Comment 35 Reuben 2018-11-07 04:50:18 UTC
Still Occurring in LO6
Version: 6.1.3.1
Build ID: 1:6.1.3~rc1-2
CPU threads: 4; OS: Linux 4.18; UI render: GL; VCL: gtk3; 
Locale: en-AU (en_AU.UTF-8); Calc: group threaded
Comment 36 hdv.jadev 2018-11-07 08:41:21 UTC
I tested it again today with LO 6.1.3.1 on Linux. Part of the bug is resolved. Part not. What is resolved is that after a Visio import the label of the connector is now indeed a property of the connector and not a separate object, as it was when I originally reported this bug. What is not resolved is that the label still gets written over the line of the connector, making it hard(er) to read. Of course you could make the background of the label opaque, but then that would give the impression that the connector was "broken" (split in two). This wouldn't be a problem if it were possible to explicitly give the label an offset from the line of the connector. That way one could decide to manually have the label above or below the line. Now one has to force the issue by adding an EOL character, which is ugly in my opinion.
Comment 37 Regina Henschel 2018-11-07 13:47:21 UTC
I have tested it with Version: 6.2.0.0.alpha1+ (x64)
Build ID: f825e6d4082c0d0beb1c95b881f6a2ee9bfc9161
CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-11-05_00:20:26
Locale: de-DE (en_US); Calc: CL

I see neither a connector nor a label. I get a group object, which contains a "line" and a "text frame".
Comment 38 QA Administrators 2019-11-08 03:38:17 UTC Comment hidden (obsolete)
Comment 39 Valerio Messina 2019-11-08 09:09:21 UTC
just tested on 6.2.8.2 x64 on Win64, the text is still through line.
Cannot test on 6.3